#!/bin/bash

# Verifica que se haya proporcionado un archivo como argumento
if [ $# -eq 0 ]; then
    echo "Uso: $0 <archivo.cpp>"
    exit 1
fi

FILE="$1"

include-what-you-use -D _DEBUG -std=c++20 -Wall "$FILE" \
-I../source \
-Xiwyu --mapping_file=sdl3_mapping.imp \
-Xiwyu --update_comments \
-Xiwyu --verbose=3